ADD_OBJS	= 	\
			$(patsubst self_code_modifying/%.c,self_code_modifying/%.o,$(wildcard self_code_modifying/*.c))  \
			$(patsubst matrix_multiplication/%.c,matrix_multiplication/%.o,$(wildcard matrix_multiplication/*.c)) \
			$(patsubst sort/%.c,sort/%.o,$(wildcard sort/*.c)) \
			$(patsubst dhrystone/%.c,dhrystone/%.o,$(wildcard dhrystone/*.c)) \
			$(patsubst benchmark/%.c,benchmark/%.o,$(wildcard benchmark/*.c)) \
			$(patsubst irq/%.c,irq/%.o,$(wildcard irq/*.c)) \
			$(patsubst common/%.c,common/%.o,$(wildcard common/*.c)) \
			$(patsubst %.c,%.o,$(wildcard *.c)) \
			stdio.o stdlib.o exception.o system.o


ADD_CFLAGS	=
ADD_LDFLAGS	=
SOCLIB		?=	$(shell soclib-cc --getpath)

export SOCLIB
include $(SOCLIB)/soclib/platform/topcells/soft.mk
